Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge update dev-lang/php is blocked by dev-php how fix
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
rrosnowski
n00b
n00b


Joined: 28 Feb 2006
Posts: 9

PostPosted: Thu Mar 02, 2006 4:45 pm    Post subject: emerge update dev-lang/php is blocked by dev-php how fix Reply with quote

emerge -uvDpN world


These are the packages that would be merged, in order:

Calculating world dependencies \
!!! Packages for the following atoms are either all
!!! masked or don't exist:
x11-apps/ati-drivers-extra
... done!
[blocks B ] dev-lang/php (is blocking dev-php/php-4.4.0-r4)
[ebuild N ] virtual/perl-Test-Simple-0.62 0 kB
[ebuild U ] sys-apps/sysvinit-2.86-r5 [2.86-r4] USE="-bootstrap -build -ibm -static" 0 kB
[ebuild NS ] sys-kernel/gentoo-sources-2.6.15-r6 USE="-build -doc -symlink" 223 kB
[ebuild U ] dev-libs/check-0.9.3-r1 [0.9.3] 0 kB
[ebuild U ] x11-terms/xterm-208 [205] USE="unicode -Xaw3d -doc -toolbar -truetype" 732 kB
[ebuild U ] app-admin/perl-cleaner-1.03 [1.01] 4 kB
[ebuild U ] dev-lang/tcl-8.4.11-r1 [8.4.11] USE="threads" 0 kB
[ebuild U ] dev-tcltk/thread-2.6.2 [2.6.1] USE="-gdbm" 261 kB
[ebuild U ] dev-lang/tk-8.4.11-r1 [8.4.11] USE="threads" 0 kB
[ebuild R ] sys-devel/gcc-3.4.5 USE="fortran gtk hardened nls -bootstrap -boundschecking -build -gcj* -ip28 -multislot -nocxx -nopie -nossp -objc -vanilla" 0 kB
[ebuild N ] app-misc/ca-certificates-20050804 91 kB
[ebuild R ] dev-python/pycrypto-2.0.1-r4 USE="test -bindist -gmp*" 0 kB
[ebuild R ] net-p2p/gift-0.11.8.1 USE="-imagemagick -vorbis*" 0 kB
[ebuild N ] dev-java/xml-commons-external-1.3.02 USE="source -doc" 1,031 kB
[ebuild U ] dev-java/xerces-2.7.1 [2.6.2-r2] USE="jikes source -doc -examples" 1,648 kB
[ebuild U ] dev-java/xalan-2.7.0-r1 [2.6.0-r3] USE="jikes source -doc" 6,117 kB
[ebuild U ] dev-java/rhino-1.5.5-r2 [1.5.5-r1] USE="jikes source -doc" 0 kB
[ebuild U ] dev-java/jzlib-1.0.7 [1.0.5] USE="jikes source -doc" 49 kB
[ebuild U ] dev-java/log4j-1.2.13 [1.2.12] USE="source -doc -javamail -jms -jmx" 2,687 kB
[ebuild U ] dev-java/commons-net-1.4.1 [1.3.0-r1] USE="jikes source -doc -examples" 223 kB
[ebuild U ] dev-ruby/ruby-config-0.3.2 [0.3.1] 0 kB
[ebuild U ] dev-lang/ruby-1.8.4.20060226 [1.8.4_pre1] USE="threads -cjk -doc -examples% -socks5 -tcltk*" 4,257 kB
[ebuild U ] app-vim/gentoo-syntax-20051221 [20050618] USE="-ignore-glep31" 18 kB
[ebuild R ] net-dialup/pptpclient-1.7.0 USE="-tcltk*" 0 kB
[ebuild R ] x11-misc/xbindkeys-1.7.2-r1 USE="-guile -tcltk*" 0 kB
[ebuild N ] sys-apps/ed-0.2-r6 181 kB
[ebuild N ] virtual/perl-Storable-2.15 0 kB
[ebuild U ] dev-perl/DBI-1.50 [1.48] USE="-minimal%" 377 kB
[ebuild R ] x11-wm/fluxbox-0.9.14-r1 USE="gnome imlib kde nls -disableslit% -truetype* -xinerama" 0 kB
[ebuild U ] sys-fs/device-mapper-1.02.02 [1.01.05] 894 kB
[ebuild U ] sys-fs/cryptsetup-luks-1.0.1-r2 [1.0.1-r1] USE="nls -dynamic" 0 kB
[ebuild U ] gnome-base/gconf-2.12.1-r1 [2.12.1] USE="-debug -doc" 0 kB
[ebuild U ] x11-themes/hicolor-icon-theme-0.9 [0.8] 31 kB
[ebuild U ] app-text/enchant-1.2.2 [1.1.6] 520 kB
[ebuild R ] media-libs/libao-0.8.6-r2 USE="alsa arts -esd* -mmap -nas -static" 0 kB
[ebuild R ] net-im/gaim-1.5.0 USE="eds nls perl spell -cjk -debug -gnutls -krb4 -nas -silc -tcltk*" 0 kB
[ebuild R ] media-sound/xmms-1.2.10-r15 USE="alsa arts mad mp3 nls -directfb -esd* -flac -jack -lirc -mikmod -oss -sndfile -vorbis" 0 kB
[ebuild U ] media-plugins/xmms-mad-0.8-r1 [0.8] 0 kB
[ebuild U ] app-text/docbook-xml-dtd-4.1.2-r6 [4.1.2-r5] 0 kB
[ebuild U ] app-text/docbook-xml-dtd-4.4-r1 [4.4] 0 kB
[ebuild U ] app-editors/emacs-21.4-r2 [21.4-r1] USE="X gnome nls -Xaw3d -leim -lesstif -motif -nosendmail" 0 kB
[ebuild R ] dev-libs/cyrus-sasl-2.1.21-r2 USE="berkdb crypt java mysql pam postgres ssl -authdaemond -gdbm* -kerberos -ldap -ntlm_unsupported_patch -sample -srp -urandom" 0 kB
[ebuild R ] app-pda/pilot-link-0.11.8-r1 USE="java perl png python readline -minimal% -tcltk*" 0 kB
[ebuild U ] dev-libs/pth-2.0.6 [2.0.5] 632 kB
[ebuild R ] media-libs/akode-2.0_rc1 USE="alsa mp3 -flac -jack -oss -speex -vorbis*" 0 kB
[ebuild U ] dev-libs/libcdio-0.76-r1 [0.75-r1] USE="-cddb -minimal" 1,778 kB
[ebuild U ] x11-libs/libast-0.7 [0.6.1-r1] USE="imlib pcre" 496 kB
[ebuild U ] gnome-extra/libgsf-1.13.3 [1.13.2] USE="bzip2 gnome -debug -doc -static" 501 kB
[ebuild R ] net-libs/gecko-sdk-1.7.12-r1 USE="crypt gnome ipv6 java postgres ssl -debug -ldap -mozcalendar -mozdevelop -moznocompose -moznoirc -moznomail -moznoxft -mozsvg -truetype* -xinerama -xprint" 0 kB
[ebuild U ] sys-devel/gdb-6.4-r2 [6.3-r4] USE="nls test -vanilla" 13,591 kB
[ebuild R ] www-client/mozilla-1.7.12-r2 USE="crypt gnome ipv6 java postgres ssl -debug -ldap -mozcalendar -mozdevelop -moznocompose -moznoirc -moznomail -moznoxft -mozsvg -truetype* -xinerama -xprint" 0 kB
[ebuild N ] virtual/perl-PodParser-1.32 0 kB
[ebuild N ] dev-perl/Net-IP-1.24 USE="-minimal" 25 kB
[ebuild N ] dev-perl/Socket6-0.19 USE="-minimal" 54 kB
[ebuild N ] dev-perl/IO-Socket-INET6-2.51 USE="-minimal" 9 kB
[ebuild N ] virtual/perl-MIME-Base64-3.07 0 kB
[ebuild N ] virtual/perl-Digest-MD5-2.36 0 kB
[ebuild U ] perl-core/digest-base-1.14 [1.13] USE="-minimal%" 7 kB
[ebuild U ] dev-perl/Digest-SHA1-2.11 [2.10] USE="-minimal%" 37 kB
[ebuild N ] virtual/perl-digest-base-1.14 0 kB
[ebuild U ] dev-perl/Net-DNS-0.55 [0.49] USE="ipv6% -minimal%" 123 kB
[ebuild N ] virtual/perl-Test-Harness-2.56 0 kB
[ebuild U ] dev-perl/IO-String-1.08 [1.07] USE="-minimal%" 7 kB
[ebuild U ] dev-perl/Archive-Tar-1.28 [1.26] USE="-minimal%" 35 kB
[ebuild N ] virtual/perl-libnet-1.19 0 kB
[ebuild U ] dev-perl/HTML-Parser-3.48 [3.46] USE="unicode -minimal%" 80 kB
[ebuild N ] virtual/perl-DB_File-1.814 0 kB
[ebuild U ] net-misc/whois-4.7.12 [4.7.8] USE="nls" 57 kB
[ebuild U ] dev-libs/cdk-5.0.20060220 [5.0.20050424] 380 kB
[ebuild U ] media-libs/libgphoto2-2.1.6-r2 [2.1.6-r1] USE="nls -doc -exif* -nousb" 0 kB
[ebuild R ] media-gfx/gphoto2-2.1.6 USE="ncurses nls readline -aalib* -exif*" 0 kB
[ebuild U ] media-libs/libogg-1.1.3 [1.1.2] 394 kB
[ebuild U ] media-libs/libvorbis-1.1.2 [1.1.1] 1,285 kB
[ebuild R ] media-sound/madplay-0.15.2b USE="nls -debug -esd*" 0 kB
[ebuild N ] virtual/perl-Time-HiRes-1.86 0 kB
[ebuild R ] dev-libs/apr-util-0.9.7 USE="berkdb -gdbm* -ldap" 0 kB
[ebuild N ] dev-lang/php-5.1.1 USE="apache2 bcmath berkdb bzip2 crypt curl curlwrappers dba ftp gd hardenedphp imap ipv6 mysql mysqli ncurses nls pcre posix postgres readline session snmp soap spell spl ssl threads tokenizer xml xmlrpc xpm zlib -apache -calendar -cdb -cgi -cjk -cli -ctype -db2 -dbase -debug -discard-path -doc -exif -fastbuild -flatfile -force-cgi-redirect -gd-external -gdbm -gmp -hyperwave-api -iconv -inifile -interbase -iodbc -java-external -kerberos -ldap -libedit -mcve -memlimit -mhash -ming -msql -mssql -oci8 -odbc -pcntl -pdo -pdo-external -pic -qdbm -recode -sapdb -sasl -sharedext -sharedmem -simplexml -sockets -sqlite -sysvipc -tidy -truetype -vm-goto -vm-switch -wddx -xmlreader -xsl -yaz -zip" 0 kB
[ebuild R ] media-sound/grip-3.3.1 USE="nls -vorbis%" 0 kB
[ebuild R ] media-sound/mpg123-0.59s-r10 USE="-esd* -nas -oss" 0 kB
[ebuild U ] app-emulation/emul-linux-x86-soundlibs-2.3 [2.2] 825 kB
[ebuild U ] app-emulation/emul-linux-x86-sdl-2.3 [2.2] 449 kB
[ebuild R ] x11-wm/blackbox-0.70.0 USE="nls -debug -truetype*" 0 kB
[ebuild UD] sys-apps/iproute2-2.6.15.20060110 [051007] USE="berkdb -atm -minimal" 385 kB
[ebuild U ] gnome-base/orbit-0.5.17-r1 [0.5.17] 0 kB
[ebuild U ] net-libs/libwww-5.4.0-r5 [5.4.0-r4] USE="mysql ssl" 0 kB
[ebuild N ] dev-php/php-4.4.0-r4 USE="X berkdb crypt curl gd hardenedphp imap ipv6 java jpeg mysql ncurses nls pam png postgres readline snmp spell ssl tiff xml2 -debug -doc -flash -freetds -gd-external -gdbm -gmp -kerberos -ldap -mcal -memlimit -mssql -oci8 -odbc -truetype -yaz" 0 kB

Total size of downloads: 40,510 kB


any thoughts on how i fix it?
Back to top
View user's profile Send private message
rrosnowski
n00b
n00b


Joined: 28 Feb 2006
Posts: 9

PostPosted: Thu Mar 02, 2006 4:58 pm    Post subject: Reply with quote

Cerebro portage # emerge --unmerge dev-php/php-4.4.0-r4


--- Couldn't find dev-php/php-4.4.0-r4 to unmerge.

>>> No packages selected for removal by unmerge.

Cerebro portage # emerge -unmerge dev-lang/php

!!! Error: -m is an invalid short action or option.
Cerebro portage # emerge --unmerge dev-lang/php


--- Couldn't find dev-lang/php to unmerge.

>>> No packages selected for removal by unmerge.

Cerebro portage # emerge --search dev-lang/php

Searching...
[ Results for search key : dev-lang/php ]
[ Applications found : 0 ]


Cerebro portage # emerge --search dev-php/php

Searching...
[ Results for search key : dev-php/php ]
[ Applications found : 0 ]


Cerebro portage # emerge --update --deep --newuse world

Calculating world dependencies... done!

!!! Error: the dev-lang/php package conflicts with another package;
!!! the two packages cannot be installed on the same system together.
!!! Please use 'emerge --pretend' to determine blockers.

Cerebro portage #
Cerebro portage #
Cerebro portage # emerge --depclean


*** WARNING *** --depclean is known to be broken. It is highly recommended
*** WARNING *** that `emerge --update --newuse --deep world` be ran before
*** WARNING *** commencing. However, using --depclean may still break link
*** WARNING *** level consistency within your system. `revdep-rebuild`
*** WARNING *** from app-portage/gentoolkit can help to detect breakage.
*** WARNING ***
*** WARNING *** Also study the list of packages to be cleaned for any
*** WARNING *** obvious mistakes. Packages can be manually added to the
*** WARNING *** world list by running `emerge --noreplace <atom>`.
*** WARNING ***
*** WARNING *** Make sure you have a backup.

Calculating dependencies... done!
!!! There appears to be a problem with the following package:
!!! dev-lang/php

!!! Please ensure that blocking/conflicting packages are not merged.!!! 'emerge -p dev-lang/php

>>> Waiting 10 seconds before starting...
>>> (Control-C to abort)...
*** Continuing in: 10 9 8 7 6 5 4 3 2 1

Packages installed: 544
Packages in world: 91
Packages in system: 65
Unique package names: 561
Required packages: 576
Number removed: 0

* GNU info directory index is up-to-date.

Cerebro portage # emerge -p dev-lang/php


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] dev-lang/php-5.1.1 USE="apache2 bcmath berkdb bzip2 crypt curl curlwrappers dba ftp gd hardenedphp imap ipv6 mysql mysqli ncurses nls pcre posix postgres readline session snmp soap spell spl ssl threads tokenizer xml xmlrpc xpm zlib -apache -calendar -cdb -cgi -cjk -cli -ctype -db2 -dbase -debug -discard-path -doc -exif -fastbuild -flatfile -force-cgi-redirect -gd-external -gdbm -gmp -hyperwave-api -iconv -inifile -interbase -iodbc -java-external -kerberos -ldap -libedit -mcve -memlimit -mhash -ming -msql -mssql -oci8 -odbc -pcntl -pdo -pdo-external -pic -qdbm -recode -sapdb -sasl -sharedext -sharedmem -simplexml -sockets -sqlite -sysvipc -tidy -truetype -vm-goto -vm-switch -wddx -xmlreader -xsl -yaz -zip"
Cerebro portage # emerge -p dev-php/php


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] dev-php/php-4.4.0-r4 USE="X berkdb crypt curl gd hardenedphp imap ipv6 java jpeg mysql ncurses nls pam png postgres readline snmp spell ssl tiff xml2 -debug -doc -flash -freetds -gd-external -gdbm -gmp -kerberos -ldap -mcal -memlimit -mssql -oci8 -odbc -truetype -yaz"
Cerebro portage # revdep-rebuild
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... using existing /root/.revdep-rebuild.1_files.

Collecting complete LD_LIBRARY_PATH... using existing /root/.revdep-rebuild.2_ldpath.

Checking dynamic linking consistency... using existing /root/.revdep-rebuild.3_rebuild.

Assigning files to ebuilds... using existing /root/.revdep-rebuild.4_ebuilds.

Evaluating package order... using existing /root/.revdep-rebuild.5_order.

All prepared. Starting rebuild...
emerge --oneshot =app-pda/gtkpod-0.99.2 =dev-lang/python-2.3.5 =gnome-base/gnome-vfs-2.12.2 =gnome-base/gnome-volume-manager-1.5.4 =gnome-extra/gnome-media-2.12.0 =kde-base/kdebase-3.4.3-r1 =kde-base/kdeutils-3.4.3-r1 =media-gfx/gphoto2-2.1.6 =media-libs/libgpod-0.3.0 =media-libs/xine-lib-1.1.1-r4 =sys-apps/pmount-0.9.6
..........

Calculating dependencies -
emerge: there are no ebuilds to satisfy "=dev-lang/python-2.3.5".


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
or
- use -X or --package-names as first argument (trys to rebuild package, not exact
ebuild)
or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
(and remove /root/.revdep-rebuild.5_order to be evaluated again)
or
- modify the above emerge command and run it manually
or
- compile or unmerge unsatisfied packages manually, remove temporary files and
try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*
Cerebro portage #
Back to top
View user's profile Send private message
tomk
Bodhisattva
Bodhisattva


Joined: 23 Sep 2003
Posts: 7221
Location: Sat in front of my computer

PostPosted: Thu Mar 02, 2006 7:34 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads, please see this topic for instructoins on how to upgrade to dev-lang/php.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum